FreeHandParserInternal::ScreenMode Struct Reference

struct which defines the screen parameters in FreeHandParserInternal More...

## Public Member Functions

| ScreenMode ()
| constructor

## Public Attributes

int | m_function
| the function
float | m_angle
| the angle
int | m_lineByInch
| the line/inch
int | m_value
| unknow value

## Friends

std::ostream & | operator<< (std::ostream &o, ScreenMode const &screen)
| operator<<

## Detailed Description

struct which defines the screen parameters in FreeHandParserInternal

## Constructor & Destructor Documentation

## ScreenMode()

FreeHandParserInternal::ScreenMode::ScreenMode | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ScreenMode const & | screen )

friend

operator<<

## Member Data Documentation

## m_angle

float FreeHandParserInternal::ScreenMode::m_angle

the angle

Referenced by operator<<, FreeHandParser::readScreenMode(), and ScreenMode().

## m_function

int FreeHandParserInternal::ScreenMode::m_function

the function

Referenced by operator<<, FreeHandParser::readScreenMode(), and ScreenMode().

## m_lineByInch

int FreeHandParserInternal::ScreenMode::m_lineByInch

the line/inch

Referenced by operator<<, FreeHandParser::readScreenMode(), and ScreenMode().

## m_value

int FreeHandParserInternal::ScreenMode::m_value

unknow value

Referenced by operator<<, FreeHandParser::readScreenMode(), and ScreenMode().

The documentation for this struct was generated from the following file:

- FreeHandParser.cxx